Skip to main content
GET
List transactions

Authorizations

Authorization
string
header
required

Token from Generate bearer token.

Query Parameters

type
enum<string>

Filter by type. Payouts are withdrew.

Available options:
deposit,
withdrew,
refund
status
enum<string>

Filter by status.

Available options:
pending,
successful,
failed
externalReference
string

Filter by your reference.

startDate
string<date>

From this date, YYYY-MM-DD.

endDate
string<date>

To this date, YYYY-MM-DD.

currency
enum<string>

Filter by currency.

Available options:
KES
limit
integer
default:3

Results per page (1–10).

Required range: 1 <= x <= 10
transactionId
string

Return transactions after this ID (pagination cursor).

Response

Transactions.

success
boolean
data
object[]